var _this = this,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/buttons/ExportButton.js";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import { CSVLink } from 'react-csv';
import moment from 'moment';
import { Button } from '../index';

var ExportButton = function ExportButton(_ref) {
  var data = _ref.data,
      filenamePrefix = _ref.filenamePrefix,
      content = _ref.content,
      rest = _objectWithoutPropertiesLoose(_ref, ["data", "filenamePrefix", "content"]);

  var timestamp = moment().format('YYYY_MM_DD-HH_mm_ss');
  return /*#__PURE__*/React.createElement(CSVLink, _extends({
    filename: filenamePrefix + "-" + timestamp + ".csv",
    target: "" // Bypass AdBlockers
    ,
    data: data
  }, rest, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 12,
      columnNumber: 5
    }
  }), content);
};

ExportButton.propTypes = process.env.NODE_ENV !== "production" ? {
  data: PropTypes.arrayOf(PropTypes.shape),
  filenamePrefix: PropTypes.string,
  content: PropTypes.oneOfType([PropTypes.element, PropTypes.string])
} : {};
ExportButton.defaultProps = {
  data: [],
  content: /*#__PURE__*/React.createElement(Button, {
    content: "Export",
    icon: "download",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 31,
      columnNumber: 12
    }
  }),
  filenamePrefix: 'export'
};
export default ExportButton;