var _this = this,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/icons/Icon.js";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import PropTypes from 'prop-types';
import { Icon as SemanticIcon } from 'semantic-ui-react';
import cx from 'classnames';
import getUnhandledProps from '../helpers/getUnhandledProps';

var Icon = function Icon(props) {
  var iconProps = getUnhandledProps(Icon, props);
  var className = props.className,
      color = props.color,
      icon = props.icon;
  return /*#__PURE__*/React.createElement(SemanticIcon, _extends({}, iconProps, {
    className: cx(className, 'genomix', color, icon),
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 12,
      columnNumber: 10
    }
  }));
};

Icon.propTypes = process.env.NODE_ENV !== "production" ? {
  icon: PropTypes.string,
  color: PropTypes.string,
  className: PropTypes.string
} : {};
Icon.defaultProps = {};
Icon.handledProps = ['className', 'icon', 'color'];
export default Icon;