var _this = this,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/media/avatar.js";

import React from 'react';
import PropTypes from 'prop-types';
import { Image, Icon } from 'semantic-ui-react';
import faker from 'faker';

var Avatar = function Avatar(props) {
  var profileImage = props.profileImage;
  var src = profileImage;

  if (!src) {
    src = faker.internet.avatar();
  }

  return /*#__PURE__*/React.createElement("div", {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 15,
      columnNumber: 5
    }
  }, /*#__PURE__*/React.createElement(Image, {
    avatar: true,
    src: src,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 16,
      columnNumber: 7
    }
  }), /*#__PURE__*/React.createElement(Icon, {
    name: "chevron down",
    size: "small",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 17,
      columnNumber: 7
    }
  }));
};

Avatar.propTypes = process.env.NODE_ENV !== "production" ? {
  profileImage: PropTypes.string
} : {};
Avatar.defaultProps = {
  profileImage: undefined
};
export default Avatar;