var _this = this,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/table-cell-renderers/checkbox-cell.js";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import { Checkbox } from 'semantic-ui-react';
import { get } from 'lodash';
export var CheckboxCell = function CheckboxCell(_ref) {
  var cellData = _ref.cellData,
      rowData = _ref.rowData,
      column = _ref.column,
      rest = _objectWithoutPropertiesLoose(_ref, ["cellData", "rowData", "column"]);

  var onSelect = get(column, 'onSelect');
  var onSelectAll = get(column, 'onSelectAll');
  var props = get(column, 'props');
  var selectedRows = get(column, 'selectedRows', []);
  var header = ('headerIndex' in rest);
  var container = get(rest, 'container');
  var rows = get(container, '_data', []);

  if (header) {
    return /*#__PURE__*/React.createElement(Checkbox, _extends({
      checked: selectedRows.length >= rows.length && rows.length > 0,
      indeterminate: selectedRows.length > 0 && selectedRows.length !== rows.length,
      onChange: function onChange(e, data) {
        if (onSelectAll) onSelectAll(e, data, rows);
      }
    }, props, {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 16,
        columnNumber: 7
      }
    }));
  }

  return /*#__PURE__*/React.createElement(Checkbox, _extends({
    checked: selectedRows.includes(cellData)
  }, props, {
    onChange: function onChange(e, data) {
      if (onSelect) onSelect(e, _extends({}, data, {
        cellData: cellData,
        rowData: rowData
      }));
    },
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 28,
      columnNumber: 5
    }
  }));
};
export default CheckboxCell;