var _this = this,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/table-cell-renderers/sex-cell.js";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { Icon } from 'semantic-ui-react';
import { get, toLower } from 'lodash';
export var SexCell = function SexCell(_ref) {
  var cellData = _ref.cellData,
      column = _ref.column;
  var value = toLower(cellData);
  var iconProps = get(column, 'props', {});
  var props = {};
  if (['male', 'm'].includes(value)) props = {
    color: 'blue',
    name: 'male'
  };else if (['female', 'f'].includes(value)) props = {
    color: 'pink',
    name: 'female'
  };else props = {
    color: 'black',
    name: 'question circle outline'
  };
  return /*#__PURE__*/React.createElement(Icon, _extends({}, props, iconProps, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 13,
      columnNumber: 10
    }
  }));
};
export default SexCell;