import { map } from 'lodash';
import { parse } from 'query-string';
export var parseUrlQueryParams = function parseUrlQueryParams(searchUrl, array_keys) {
  if (array_keys === void 0) {
    array_keys = [];
  }

  var params = parse(searchUrl);
  var defaults = {};
  map(params, function (value, key) {
    if (array_keys.includes(key)) {
      if (Array.isArray(value)) defaults[key] = value;else defaults[key] = [value];
    } else {
      defaults[key] = value;
    }
  });
  return defaults;
};
export default parseUrlQueryParams;