"use strict";

exports.__esModule = true;
exports.SearchButton = exports.SaveButton = exports.DownloadButton = exports.CancelButton = exports.AddButton = exports.AcceptButton = void 0;

var _react = _interopRequireDefault(require("react"));

var _lodash = require("lodash");

var _index = require("../index");

var constants = _interopRequireWildcard(require("../constants/icons"));

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/buttons/GenomiXButtons.js";

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var AcceptButton = function AcceptButton(_ref) {
  var props = _extends({}, _ref);

  return /*#__PURE__*/_react["default"].createElement(_index.Button, _extends({}, props, {
    content: (0, _lodash.get)(props, 'content', 'Accept')
  }, constants.Accept, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 8,
      columnNumber: 3
    }
  }));
};

exports.AcceptButton = AcceptButton;

var AddButton = function AddButton(_ref2) {
  var props = _extends({}, _ref2);

  return /*#__PURE__*/_react["default"].createElement(_index.Button, _extends({}, props, {
    content: (0, _lodash.get)(props, 'content', 'Add')
  }, constants.Add, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 12,
      columnNumber: 3
    }
  }));
};

exports.AddButton = AddButton;

var CancelButton = function CancelButton(_ref3) {
  var props = _extends({}, _ref3);

  return /*#__PURE__*/_react["default"].createElement(_index.Button, _extends({}, props, {
    content: (0, _lodash.get)(props, 'content', 'Cancel')
  }, constants.Cancel, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 16,
      columnNumber: 3
    }
  }));
};

exports.CancelButton = CancelButton;

var DownloadButton = function DownloadButton(_ref4) {
  var props = _extends({}, _ref4);

  return /*#__PURE__*/_react["default"].createElement(_index.Button, _extends({}, props, {
    content: (0, _lodash.get)(props, 'content', 'Download')
  }, constants.Download, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 20,
      columnNumber: 3
    }
  }));
};

exports.DownloadButton = DownloadButton;

var SaveButton = function SaveButton(_ref5) {
  var props = _extends({}, _ref5);

  return /*#__PURE__*/_react["default"].createElement(_index.Button, _extends({}, props, {
    content: (0, _lodash.get)(props, 'content', 'Save')
  }, constants.Save, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 24,
      columnNumber: 3
    }
  }));
};

exports.SaveButton = SaveButton;

var SearchButton = function SearchButton(_ref6) {
  var props = _extends({}, _ref6);

  return /*#__PURE__*/_react["default"].createElement(_index.Button, _extends({}, props, {
    content: (0, _lodash.get)(props, 'content', 'Search')
  }, constants.Search, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 28,
      columnNumber: 3
    }
  }));
};

exports.SearchButton = SearchButton;