"use strict";

exports.__esModule = true;
exports.WarningIcon = exports.UploadIcon = exports.SearchIcon = exports.SaveIcon = exports.QuestionIcon = exports.ManualIcon = exports.MaleIcon = exports.InfoIcon = exports.FemaleIcon = exports.ExternalIcon = exports.DownloadIcon = exports.CancelIcon = exports.AddIcon = exports.AcceptIcon = void 0;

var _react = _interopRequireDefault(require("react"));

var _index = require("../index");

var constants = _interopRequireWildcard(require("../constants/icons"));

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/icons/GenomiXIcons.js";

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var AcceptIcon = function AcceptIcon(_ref) {
  var props = _extends({}, _ref);

  return /*#__PURE__*/_react["default"].createElement(_index.Icon, _extends({}, props, constants.Accept, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 6,
      columnNumber: 45
    }
  }));
};

exports.AcceptIcon = AcceptIcon;

var AddIcon = function AddIcon(_ref2) {
  var props = _extends({}, _ref2);

  return /*#__PURE__*/_react["default"].createElement(_index.Icon, _extends({}, props, constants.Add, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 8,
      columnNumber: 42
    }
  }));
};

exports.AddIcon = AddIcon;

var CancelIcon = function CancelIcon(_ref3) {
  var props = _extends({}, _ref3);

  return /*#__PURE__*/_react["default"].createElement(_index.Icon, _extends({}, props, constants.Cancel, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 10,
      columnNumber: 45
    }
  }));
};

exports.CancelIcon = CancelIcon;

var DownloadIcon = function DownloadIcon(_ref4) {
  var props = _extends({}, _ref4);

  return /*#__PURE__*/_react["default"].createElement(_index.Icon, _extends({}, props, constants.Download, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 12,
      columnNumber: 47
    }
  }));
};

exports.DownloadIcon = DownloadIcon;

var ExternalIcon = function ExternalIcon(_ref5) {
  var props = _extends({}, _ref5);

  return /*#__PURE__*/_react["default"].createElement(_index.Icon, _extends({}, props, constants.External, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 14,
      columnNumber: 47
    }
  }));
};

exports.ExternalIcon = ExternalIcon;

var FemaleIcon = function FemaleIcon(_ref6) {
  var props = _extends({}, _ref6);

  return /*#__PURE__*/_react["default"].createElement(_index.Icon, _extends({}, props, constants.Female, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 16,
      columnNumber: 45
    }
  }));
};

exports.FemaleIcon = FemaleIcon;

var InfoIcon = function InfoIcon(_ref7) {
  var props = _extends({}, _ref7);

  return /*#__PURE__*/_react["default"].createElement(_index.Icon, _extends({}, props, constants.Info, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 18,
      columnNumber: 43
    }
  }));
};

exports.InfoIcon = InfoIcon;

var MaleIcon = function MaleIcon(_ref8) {
  var props = _extends({}, _ref8);

  return /*#__PURE__*/_react["default"].createElement(_index.Icon, _extends({}, props, constants.Male, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 20,
      columnNumber: 43
    }
  }));
};

exports.MaleIcon = MaleIcon;

var ManualIcon = function ManualIcon(_ref9) {
  var props = _extends({}, _ref9);

  return /*#__PURE__*/_react["default"].createElement(_index.Icon, _extends({}, props, constants.Manual, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 22,
      columnNumber: 45
    }
  }));
};

exports.ManualIcon = ManualIcon;

var QuestionIcon = function QuestionIcon(_ref10) {
  var props = _extends({}, _ref10);

  return /*#__PURE__*/_react["default"].createElement(_index.Icon, _extends({}, props, constants.Question, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 24,
      columnNumber: 47
    }
  }));
};

exports.QuestionIcon = QuestionIcon;

var SaveIcon = function SaveIcon(_ref11) {
  var props = _extends({}, _ref11);

  return /*#__PURE__*/_react["default"].createElement(_index.Icon, _extends({}, props, constants.Save, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 26,
      columnNumber: 43
    }
  }));
};

exports.SaveIcon = SaveIcon;

var SearchIcon = function SearchIcon(_ref12) {
  var props = _extends({}, _ref12);

  return /*#__PURE__*/_react["default"].createElement(_index.Icon, _extends({}, props, constants.Search, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 28,
      columnNumber: 45
    }
  }));
};

exports.SearchIcon = SearchIcon;

var UploadIcon = function UploadIcon(_ref13) {
  var props = _extends({}, _ref13);

  return /*#__PURE__*/_react["default"].createElement(_index.Icon, _extends({}, props, constants.Upload, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 30,
      columnNumber: 45
    }
  }));
};

exports.UploadIcon = UploadIcon;

var WarningIcon = function WarningIcon(_ref14) {
  var props = _extends({}, _ref14);

  return /*#__PURE__*/_react["default"].createElement(_index.Icon, _extends({}, props, constants.Warning, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 32,
      columnNumber: 46
    }
  }));
};

exports.WarningIcon = WarningIcon;