"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _semanticUiReact = require("semantic-ui-react");

var _faker = _interopRequireDefault(require("faker"));

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/media/avatar.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var Avatar = function Avatar(props) {
  var profileImage = props.profileImage;
  var src = profileImage;

  if (!src) {
    src = _faker["default"].internet.avatar();
  }

  return /*#__PURE__*/_react["default"].createElement("div", {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 15,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Image, {
    avatar: true,
    src: src,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 16,
      columnNumber: 7
    }
  }), /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Icon, {
    name: "chevron down",
    size: "small",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 17,
      columnNumber: 7
    }
  }));
};

Avatar.propTypes = process.env.NODE_ENV !== "production" ? {
  profileImage: _propTypes["default"].string
} : {};
Avatar.defaultProps = {
  profileImage: undefined
};
var _default = Avatar;
exports["default"] = _default;
module.exports = exports.default;