var _this = this,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/dropdowns/autocomplete-dropdown.js";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React, { useEffect, useRef, useState } from 'react';
import PropTypes from 'prop-types';
import { Dropdown } from 'semantic-ui-react';

var AutoCompleteDropDown = function AutoCompleteDropDown(_ref) {
  var endpoint = _ref.endpoint,
      searchAction = _ref.searchAction,
      waitInterval = _ref.waitInterval,
      loading = _ref.loading,
      props = _objectWithoutPropertiesLoose(_ref, ["endpoint", "searchAction", "waitInterval", "loading"]);

  var _useState = useState(false),
      state = _useState[0],
      setState = _useState[1];

  var countRef = useRef(null);
  countRef.current = null;
  useEffect(function () {
    return setState(loading);
  }, [loading]);

  var onSearchChange = function onSearchChange(e, _ref2) {
    var searchQuery = _ref2.searchQuery;
    clearTimeout(countRef.current);
    countRef.current = setTimeout(function () {
      return searchAction(searchQuery);
    }, waitInterval);
    setState(true);
  };

  return /*#__PURE__*/React.createElement(Dropdown, _extends({
    search: true,
    selection: true,
    onSearchChange: onSearchChange,
    loading: state
  }, props, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 18,
      columnNumber: 10
    }
  }));
};

AutoCompleteDropDown.propTypes = process.env.NODE_ENV !== "production" ? {
  searchAction: PropTypes.func.isRequired,
  waitInterval: PropTypes.number,
  loading: PropTypes.bool
} : {};
AutoCompleteDropDown.defaultProps = {
  waitInterval: 750,
  loading: false
};
export default AutoCompleteDropDown;