var _this = this,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/links/link.js";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import PropTypes from 'prop-types';
import * as customPropTypes from '../helpers/customPropTypes';
import getElementType from '../helpers/getElementType';
import getUnhandledProps from '../helpers/getUnhandledProps';

var Link = function Link(props) {
  var ElementType = getElementType(Link, props);
  var rest = getUnhandledProps(Link, props);
  var content = props.content;
  var additionalProps = {};

  if (ElementType === 'a') {
    additionalProps.target = '_blank';
    additionalProps.rel = 'noopener noreferrer';
  }

  return /*#__PURE__*/React.createElement(ElementType, _extends({}, rest, additionalProps, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 20,
      columnNumber: 5
    }
  }), content);
};

Link.propTypes = process.env.NODE_ENV !== "production" ? {
  as: customPropTypes.as,
  content: PropTypes.any
} : {};
Link.defaultProps = {
  as: 'a'
};
Link.handledProps = ['as', 'content'];
export default Link;