var _this = this,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/popups/rating-popup.js";

import React from 'react';
import PropTypes from 'prop-types';
import { Button, Popup, Icon } from 'semantic-ui-react';

var RatingPopup = function RatingPopup(_ref) {
  var database = _ref.database,
      value = _ref.value,
      url = _ref.url;
  var color = 'grey';
  var message = "Not present in " + database + "!";
  var content = /*#__PURE__*/React.createElement("p", {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 8,
      columnNumber: 17
    }
  }, message);

  if (value) {
    color = 'yellow';
    message = "Present in " + database + "!";
    content = /*#__PURE__*/React.createElement("div", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 14,
        columnNumber: 7
      }
    }, /*#__PURE__*/React.createElement("p", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 15,
        columnNumber: 9
      }
    }, message), /*#__PURE__*/React.createElement("a", {
      target: "_blank",
      rel: "noopener noreferrer",
      href: url,
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 16,
        columnNumber: 9
      }
    }, /*#__PURE__*/React.createElement(Button, {
      fluid: true,
      content: "Go to " + database,
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 17,
        columnNumber: 11
      }
    })));
  }

  return /*#__PURE__*/React.createElement(Popup, {
    trigger: /*#__PURE__*/React.createElement(Icon, {
      color: color,
      name: "star",
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 23,
        columnNumber: 26
      }
    }),
    content: content,
    hoverable: true,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 23,
      columnNumber: 10
    }
  });
};

RatingPopup.propTypes = process.env.NODE_ENV !== "production" ? {
  database: PropTypes.string,
  value: PropTypes.any,
  url: PropTypes.string
} : {};
export default RatingPopup;