var _this = this,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/progress-bars/turn-around-time-progress.js";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import { Popup, Progress, Label, Icon, Button } from 'semantic-ui-react';
import { utils } from '../index';
export var TurnAroundTimeProgress = function TurnAroundTimeProgress(_ref) {
  var target = _ref.target,
      start = _ref.start,
      signout = _ref.signout,
      _ref$compact = _ref.compact,
      compact = _ref$compact === void 0 ? false : _ref$compact,
      rest = _objectWithoutPropertiesLoose(_ref, ["target", "start", "signout", "compact"]);

  var _utils$getTurnAroundT = utils.getTurnAroundTimeDetails(target, start, signout),
      label = _utils$getTurnAroundT.label,
      color = _utils$getTurnAroundT.color,
      value = _utils$getTurnAroundT.value,
      daysPassed = _utils$getTurnAroundT.daysPassed;

  if (start) {
    return /*#__PURE__*/React.createElement(Popup, {
      flowing: true,
      trigger: signout ? /*#__PURE__*/React.createElement(Button, {
        fluid: true,
        compact: true,
        size: "mini",
        style: {
          boxShadow: 'none'
        },
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 16,
          columnNumber: 13
        }
      }, /*#__PURE__*/React.createElement(Icon, {
        name: "checkmark",
        color: "green",
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 17,
          columnNumber: 15
        }
      }), compact ? null : 'Completed :', /*#__PURE__*/React.createElement(Label, {
        circular: true,
        color: color,
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 19,
          columnNumber: 15
        }
      }, label)) : /*#__PURE__*/React.createElement(Progress, _extends({
        value: value,
        total: target,
        color: color,
        active: true
      }, rest, {
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 24,
          columnNumber: 13
        }
      }), /*#__PURE__*/React.createElement(Label, {
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 25,
          columnNumber: 15
        }
      }, label)),
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 12,
        columnNumber: 7
      }
    }, /*#__PURE__*/React.createElement(Popup.Content, {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 30,
        columnNumber: 9
      }
    }, /*#__PURE__*/React.createElement("strong", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 31,
        columnNumber: 11
      }
    }, "Target:"), " ", target, " days", /*#__PURE__*/React.createElement("br", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 32,
        columnNumber: 11
      }
    }), /*#__PURE__*/React.createElement("strong", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 33,
        columnNumber: 11
      }
    }, signout ? 'TAT' : 'Current TAT', ":"), " ", daysPassed, " days", /*#__PURE__*/React.createElement("br", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 34,
        columnNumber: 11
      }
    }), /*#__PURE__*/React.createElement("strong", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 35,
        columnNumber: 11
      }
    }, "Started:"), " ", utils.dateFormatter(start, 'YYYY-MM,DD'), /*#__PURE__*/React.createElement("br", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 36,
        columnNumber: 11
      }
    }), /*#__PURE__*/React.createElement("strong", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 37,
        columnNumber: 11
      }
    }, "Signed out:"), " ", signout ? utils.dateFormatter(signout, 'YYYY-MM-DD') : 'N/A'));
  } else {
    return /*#__PURE__*/React.createElement("p", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 42,
        columnNumber: 12
      }
    }, "Not started!");
  }
};
TurnAroundTimeProgress.propTypes = process.env.NODE_ENV !== "production" ? {
  target: PropTypes.number,
  start: PropTypes.string,
  signout: PropTypes.string,
  compact: PropTypes.bool
} : {};
export default TurnAroundTimeProgress;