var _this = this,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/table-cell-renderers/label-cell.js";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { Label } from 'semantic-ui-react';
import { get } from 'lodash';
import { getColor } from '../utils';
export var LabelCell = function LabelCell(_ref) {
  var cellData = _ref.cellData,
      column = _ref.column;
  var labelProps = get(column, 'props');
  var color = getColor(cellData);
  if (!cellData) return '';
  return /*#__PURE__*/React.createElement(Label, _extends({
    color: color,
    content: cellData
  }, labelProps, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 11,
      columnNumber: 10
    }
  }));
};
export default LabelCell;