"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactCsv = require("react-csv");

var _moment = _interopRequireDefault(require("moment"));

var _index = require("../index");

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/buttons/ExportButton.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ExportButton = function ExportButton(_ref) {
  var data = _ref.data,
      filenamePrefix = _ref.filenamePrefix,
      content = _ref.content,
      rest = _objectWithoutPropertiesLoose(_ref, ["data", "filenamePrefix", "content"]);

  var timestamp = (0, _moment["default"])().format('YYYY_MM_DD-HH_mm_ss');
  return /*#__PURE__*/_react["default"].createElement(_reactCsv.CSVLink, _extends({
    filename: filenamePrefix + "-" + timestamp + ".csv",
    target: "" // Bypass AdBlockers
    ,
    data: data
  }, rest, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 12,
      columnNumber: 5
    }
  }), content);
};

ExportButton.propTypes = process.env.NODE_ENV !== "production" ? {
  data: _propTypes["default"].arrayOf(_propTypes["default"].shape),
  filenamePrefix: _propTypes["default"].string,
  content: _propTypes["default"].oneOfType([_propTypes["default"].element, _propTypes["default"].string])
} : {};
ExportButton.defaultProps = {
  data: [],
  content: /*#__PURE__*/_react["default"].createElement(_index.Button, {
    content: "Export",
    icon: "download",
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 31,
      columnNumber: 12
    }
  }),
  filenamePrefix: 'export'
};
var _default = ExportButton;
exports["default"] = _default;
module.exports = exports.default;