"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _semanticUiReact = require("semantic-ui-react");

var _classnames = _interopRequireDefault(require("classnames"));

var _getUnhandledProps = _interopRequireDefault(require("../helpers/getUnhandledProps"));

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/icons/Icon.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var Icon = function Icon(props) {
  var iconProps = (0, _getUnhandledProps["default"])(Icon, props);
  var className = props.className,
      color = props.color,
      icon = props.icon;
  return /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Icon, _extends({}, iconProps, {
    className: (0, _classnames["default"])(className, 'genomix', color, icon),
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 12,
      columnNumber: 10
    }
  }));
};

Icon.propTypes = process.env.NODE_ENV !== "production" ? {
  icon: _propTypes["default"].string,
  color: _propTypes["default"].string,
  className: _propTypes["default"].string
} : {};
Icon.defaultProps = {};
Icon.handledProps = ['className', 'icon', 'color'];
var _default = Icon;
exports["default"] = _default;
module.exports = exports.default;