"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var customPropTypes = _interopRequireWildcard(require("../helpers/customPropTypes"));

var _getElementType = _interopRequireDefault(require("../helpers/getElementType"));

var _getUnhandledProps = _interopRequireDefault(require("../helpers/getUnhandledProps"));

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/links/link.js";

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var Link = function Link(props) {
  var ElementType = (0, _getElementType["default"])(Link, props);
  var rest = (0, _getUnhandledProps["default"])(Link, props);
  var content = props.content;
  var additionalProps = {};

  if (ElementType === 'a') {
    additionalProps.target = '_blank';
    additionalProps.rel = 'noopener noreferrer';
  }

  return /*#__PURE__*/_react["default"].createElement(ElementType, _extends({}, rest, additionalProps, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 20,
      columnNumber: 5
    }
  }), content);
};

Link.propTypes = process.env.NODE_ENV !== "production" ? {
  as: customPropTypes.as,
  content: _propTypes["default"].any
} : {};
Link.defaultProps = {
  as: 'a'
};
Link.handledProps = ['as', 'content'];
var _default = Link;
exports["default"] = _default;
module.exports = exports.default;