"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _semanticUiReact = require("semantic-ui-react");

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/popups/rating-popup.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var RatingPopup = function RatingPopup(_ref) {
  var database = _ref.database,
      value = _ref.value,
      url = _ref.url;
  var color = 'grey';
  var message = "Not present in " + database + "!";

  var content = /*#__PURE__*/_react["default"].createElement("p", {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 8,
      columnNumber: 17
    }
  }, message);

  if (value) {
    color = 'yellow';
    message = "Present in " + database + "!";
    content = /*#__PURE__*/_react["default"].createElement("div", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 14,
        columnNumber: 7
      }
    }, /*#__PURE__*/_react["default"].createElement("p", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 15,
        columnNumber: 9
      }
    }, message), /*#__PURE__*/_react["default"].createElement("a", {
      target: "_blank",
      rel: "noopener noreferrer",
      href: url,
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 16,
        columnNumber: 9
      }
    }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Button, {
      fluid: true,
      content: "Go to " + database,
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 17,
        columnNumber: 11
      }
    })));
  }

  return /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Popup, {
    trigger: /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Icon, {
      color: color,
      name: "star",
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 23,
        columnNumber: 26
      }
    }),
    content: content,
    hoverable: true,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 23,
      columnNumber: 10
    }
  });
};

RatingPopup.propTypes = process.env.NODE_ENV !== "production" ? {
  database: _propTypes["default"].string,
  value: _propTypes["default"].any,
  url: _propTypes["default"].string
} : {};
var _default = RatingPopup;
exports["default"] = _default;
module.exports = exports.default;