"use strict";

exports.__esModule = true;
exports["default"] = exports.HGVScDNACell = void 0;

var _react = _interopRequireDefault(require("react"));

var _externalLink = require("../links/external-link");

var urlBuilders = _interopRequireWildcard(require("../utils/urlBuilders"));

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/table-cell-renderers/hgvs-cdna-cell.js";

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var HGVScDNACell = function HGVScDNACell(_ref) {
  var cellData = _ref.cellData;
  return /*#__PURE__*/_react["default"].createElement(_externalLink.ExternalLink, {
    href: urlBuilders.alamutEntry(cellData),
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 7,
      columnNumber: 10
    }
  }, cellData);
};

exports.HGVScDNACell = HGVScDNACell;
var _default = HGVScDNACell;
exports["default"] = _default;