"use strict";

exports.__esModule = true;
exports["default"] = exports.LabelCell = void 0;

var _react = _interopRequireDefault(require("react"));

var _semanticUiReact = require("semantic-ui-react");

var _lodash = require("lodash");

var _utils = require("../utils");

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/table-cell-renderers/label-cell.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var LabelCell = function LabelCell(_ref) {
  var cellData = _ref.cellData,
      column = _ref.column;
  var labelProps = (0, _lodash.get)(column, 'props');
  var color = (0, _utils.getColor)(cellData);
  if (!cellData) return '';
  return /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Label, _extends({
    color: color,
    content: cellData
  }, labelProps, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 11,
      columnNumber: 10
    }
  }));
};

exports.LabelCell = LabelCell;
var _default = LabelCell;
exports["default"] = _default;