"use strict";

exports.__esModule = true;
exports["default"] = exports.SexCell = void 0;

var _react = _interopRequireDefault(require("react"));

var _semanticUiReact = require("semantic-ui-react");

var _lodash = require("lodash");

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/table-cell-renderers/sex-cell.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var SexCell = function SexCell(_ref) {
  var cellData = _ref.cellData,
      column = _ref.column;
  var value = (0, _lodash.toLower)(cellData);
  var iconProps = (0, _lodash.get)(column, 'props', {});
  var props = {};
  if (['male', 'm'].includes(value)) props = {
    color: 'blue',
    name: 'male'
  };else if (['female', 'f'].includes(value)) props = {
    color: 'pink',
    name: 'female'
  };else props = {
    color: 'black',
    name: 'question circle outline'
  };
  return /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Icon, _extends({}, props, iconProps, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 13,
      columnNumber: 10
    }
  }));
};

exports.SexCell = SexCell;
var _default = SexCell;
exports["default"] = _default;