"use strict";

exports.__esModule = true;
exports["default"] = exports.StatusCell = void 0;

var _react = _interopRequireDefault(require("react"));

var _semanticUiReact = require("semantic-ui-react");

var _lodash = require("lodash");

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/table-cell-renderers/status-cell.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var StatusCell = function StatusCell(_ref) {
  var cellData = _ref.cellData,
      column = _ref.column;
  var labelProps = (0, _lodash.get)(column, 'props', {});
  var value = (0, _lodash.toLower)(cellData);
  var props = {};
  if (value.includes('run')) props = {
    icon: 'hourglass start',
    color: 'blue'
  };else if (value.includes('pend')) props = {
    icon: 'clock outline',
    color: 'yellow'
  };else if (value.includes('complete')) props = {
    icon: 'checkmark',
    color: 'green'
  };else if (value.includes('fail')) props = {
    icon: 'x',
    color: 'red'
  };
  return /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Label, _extends({
    content: cellData
  }, props, labelProps, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 15,
      columnNumber: 10
    }
  }));
};

exports.StatusCell = StatusCell;
var _default = StatusCell;
exports["default"] = _default;